#ifndef H_CSIGN
#define H_CSIGN
#include <string>
#include "cObject.h"
class cSign : public cObject
{
private:
	std::string message;
	bool hasBeenRead;
public:
	cSign(cGame *g, double xx, double yy, std::string msg, bool read);
	void Update();
	void Draw();
	std::string GetMessage();
	void SetAsRead();
};
#endif